### Function

# Soup AuthDomainFilter

#### Declaration

    gboolean
    (* SoupAuthDomainFilter) (
      SoupAuthDomain* domain,
      SoupServerMessage* msg,
      gpointer user_data
    )

#### Description [src]

The prototype for a `SoupAuthDomain` filter.

See `soup_auth_domain_set_filter()` for details.

#### Parameters

`domain`

  Type: `SoupAuthDomain`

  A `SoupAuthDomain`.

  The data is owned by the caller of the function.

`msg`

  Type: `SoupServerMessage`

  A `SoupServerMessage`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The data passed to `soup_auth_domain_set_filter()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `msg` requires authentication, `FALSE` if not.